Updating optional plug-ins to Mac OS X

Question

I have optional plug-ins which I have used under Mac OS 9, and I would like to update them to Mac OS X. How do I do this?

Answer

To update your optional Mac OS 9 PowerCore plug-ins to Mac OS X, you must have the following:

And your PowerCore needs to be registered. If you have not registered your PowerCore yet, please go to this page to register it.
If you have already registered it, but aren't sure which email address you used, please get in touch with the TC Support Team.

Once you have these items, you can request your optional plug-ins via your TC My Account. 

After completing the request, an email will be sent to you with a download link for your optional plug-in.

Please note, if you wish to run the plug-in in an Audio Units host, please see this FAQ regarding installing Audio Units


Share this page